function xdot=BecksModel_Equations(t,x,p)

    p1 = p(1);
    p2 = p(2);
    Ni = p(3);
    delta = p(4);
    m = p(5);
    lambda = p(6);
    Xc = p(7);
    Kc1 = p(8);
    Kc2 = p(9);
    rho = p(10);
    Xb = p(11);
    Kb = p(12);
    G = p(13);
    epsilon = p(14);
    
    N=x(1);
    C=x(2);
    B=x(3);
    S=x(4);
    alpha=x(5);
    
    
    xdot = zeros(5,1);
	xdot(1) = delta*(Ni-N)-rho*alpha*C*N/(Kc1+N)-rho*(-C*alpha+C)*N/(Kc2+N);
	xdot(2) = -C*Xc*rho*N*(Kc1*alpha-Kc2*alpha-Kc1-N)/((Kc1+N)*(Kc2+N))...
        -C*G*(B+S)*(alpha*p1-alpha*p2+p2)/(C*alpha*p1-C*alpha*p2+C*p2+Kb)-delta*C;
    xdot(3) = B*(Xb*G*(C*alpha*p1+(-C*alpha+C)*p2)/(C*alpha*p1+(-C*alpha+C)*p2+Kb)...
        -m-delta-lambda);
    xdot(4) = lambda*B-(delta+m)*S;
    xdot(5) = epsilon*(alpha*Xc*rho*N*(alpha-1)*(Kc1-Kc2)/((Kc1+N)*(Kc2+N))...
        +alpha*G*(p1-p2)*(alpha-1)*(B+S)/(C*alpha*p1-C*alpha*p2+C*p2+Kb));
    
end

