#############################################
### Becks et al. 2010
############################################# 

### CLONAL MODEL - N, C1, C2, B, S
#eqn0:=delta*(Ni-N)-rho*C1*N/(Kc1+N)-rho*C2*N/(Kc2+N)
#eqn1 := C1*(Xc*rho*N/(Kc1+N)-p1*G*(B+S)/(Kb+QQ)-delta);
#eqn2 := C2*(Xc*rho*N/(Kc2+N)-p2*G*(B+S)/(Kb+QQ)-delta);
#eqn3 := B*(Xb*G*QQ/(Kb+QQ)-m-delta-lambda);
#eqn4 := lambda*B-(delta+m)*S

### Parameters
p2 = 1
p1 = .1
Ni = 160
delta = .3
m = 0.55e-1
lambda = .4
Xc = 0.27e-2
Kc2 = 2.2
Kc1 = 8-5.8*p1
rho = 270
Xb = 170
Kb = .15
G = 0.11e-1

### CONTINUOUS TRAIT MODEL - N, C=C1+C2, B, S, alpha = (C1+C2)/C

f=function(x){N=x[1];C=x[2];B=x[3];S=x[4];alpha=x[5];
eqn1 = delta*(Ni-N)-rho*alpha*C*N/(Kc1+N)-rho*(-C*alpha+C)*N/(Kc2+N);
eqn2 = alpha*C*(Xc*rho*N/(Kc1+N)-p1*G*(B+S)/(alpha*C*p1+(-C*alpha+C)*p2+Kb)-delta)+(-C*alpha+C)*(Xc*rho*N/(Kc2+N)-p2*G*(B+S)/(alpha*C*p1+(-C*alpha+C)*p2+Kb)-delta);
eqn3 = B*(Xb*G*(alpha*C*p1+(-C*alpha+C)*p2)/(alpha*C*p1+(-C*alpha+C)*p2+Kb)-m-delta-lambda);
eqn4 = lambda*B-(delta+m)*S;
eqn5 = (alpha*C^2*(Xc*rho*N/(Kc1+N)-p1*G*(B+S)/(alpha*C*p1+(-C*alpha+C)*p2+Kb)-delta)-alpha*C*(alpha*C*(Xc*rho*N/(Kc1+N)-p1*G*(B+S)/(alpha*C*p1+(-C*alpha+C)*p2+Kb)-delta)+(-C*alpha+C)*(Xc*rho*N/(Kc2+N)-p2*G*(B+S)/(alpha*C*p1+(-C*alpha+C)*p2+Kb)-delta)))/C^2;
	return(c(eqn1,eqn2,eqn3,eqn4, eqn5))}

# Initial Guess for Equilibrium
xstart=c(6,0.3,2.5,2.8,.8)



