#############################################
### Haafke et al. 2016
#############################################

### CLONAL MODEL - N, A1, A2, R1, R2, S1, S2

#eqn1 = delta*(Nstock-N)-p1*A1*N/(Ka1+N)-p2*A2*N/(Ka2+N)
#eqn2 = A1*(Xa*p1*N/(Ka1+N)-p11*G*(R1+S1)/(A1*p11+A2*p21+Kr1)-p12*G*(R2+S2)/(A1*p12+A2*p22+Kr2)-delta)
#eqn3 = A2*(Xa*p2*N/(Ka2+N)-p21*G*(R1+S1)/(A1*p11+A2*p21+Kr1)-p22*G*(R2+S2)/(A1*p12+A2*p22+Kr2)-delta)
#eqn4 = R1*(Xr*G*(A1*p11+A2*p21)/(A1*p11+A2*p21+Kr1)-m-delta-lambda)
#eqn5 = R2*(Xr*G*(A1*p12+A2*p22)/(A1*p12+A2*p22+Kr2)-m-delta-lambda)
#eqn6 = lambda*R1-(delta+m)*S1
#eqn7 = lambda*R2-(delta+m)*S2

### Parameters
delta = .3
Nstock = 160
Ka1 = 8
Ka2 = 2.2
Kr1 = .15
Kr2 = .15
Xa = 0.27e-2
G = 0.11e-1
m = 0.55e-1
lambda = .4
Xr = 170
p11 = .1
p21 = 1
p12 = 1
p22 = .1
p1 = 270
p2 = 270

### CONTINUOUS TRAIT MODEL - N, A=A1+A2, R=R1+R2, S= S1+S2, alpha = A1/A, beta = R1/R, eta = S1/S

f=function(x){N=x[1];A=x[2];R=x[3];S=x[4];alpha=x[5];beta=x[6];eta=x[7];
eqn0= delta*(Nstock-N)-p1*alpha*A*N/(Ka1+N)-p2*A*(1-alpha)*N/(Ka2+N);
eqn1= alpha*A*(Xa*p1*N/(Ka1+N)-p11*G*(R*beta+S*eta)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-p12*G*(R*(1-beta)+(1-eta)*S)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-delta)+A*(1-alpha)*(Xa*p2*N/(Ka2+N)-p21*G*(R*beta+S*eta)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-p22*G*(R*(1-beta)+(1-eta)*S)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-delta);
eqn2= beta*R*(Xr*G*(alpha*A*p11+A*(1-alpha)*p21)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-m-delta-lambda)+R*(1-beta)*(Xr*G*(alpha*A*p12+A*(1-alpha)*p22)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-m-delta-lambda);
eqn3= R*lambda-S*delta-S*m;
eqn4= (alpha*A^2*(Xa*p1*N/(Ka1+N)-p11*G*(R*beta+S*eta)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-p12*G*(R*(1-beta)+(1-eta)*S)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-delta)-alpha*A*(alpha*A*(Xa*p1*N/(Ka1+N)-p11*G*(R*beta+S*eta)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-p12*G*(R*(1-beta)+(1-eta)*S)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-delta)+A*(1-alpha)*(Xa*p2*N/(Ka2+N)-p21*G*(R*beta+S*eta)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-p22*G*(R*(1-beta)+(1-eta)*S)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-delta)))/A^2;
eqn5= (beta*R^2*(Xr*G*(alpha*A*p11+A*(1-alpha)*p21)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-m-delta-lambda)-beta*R*(beta*R*(Xr*G*(alpha*A*p11+A*(1-alpha)*p21)/(alpha*A*p11+A*(1-alpha)*p21+Kr1)-m-delta-lambda)+R*(1-beta)*(Xr*G*(alpha*A*p12+A*(1-alpha)*p22)/(alpha*A*p12+A*(1-alpha)*p22+Kr2)-m-delta-lambda)))/R^2;
eqn6= lambda*R*(beta-eta)/S;
return(c(eqn0,eqn1,eqn2,eqn3,eqn4,eqn5,eqn6))}

# Initial Guess
xstart=c(22,.2,6, 6.6,.5,.6,.6)
