#############################################
### Kasada et al. 2014
#############################################

### CLONAL MODEL - N, C1, C2, B

#eqn1 = delta*(Ni-N)-omega*beta21*N*C1/(epsilon*(Kc+N))-omega*beta22*N*C2/(epsilon*(Kc+N))
#eqn2 = C1*(Xc*omega*beta21*N/(epsilon*(Kc+N))-G*p21*B/(C1*p21+C2*p22+Kb)-delta)
#eqn3 = C2*(Xc*omega*beta22*N/(epsilon*(Kc+N))-G*p22*B/(C1*p21+C2*p22+Kb)-delta)
#eqn4 = B*(Xb*G*(C1*p21+C2*p22)/(C1*p21+C2*p22+Kb)-m-delta)

### Parameters
beta21 = 1.77
beta22 = 1.57
p21 = .102
p22 = 0.70176e-1
Ni = 80
delta = .5
Xc = 0.5e-1
Xb = 54000
m = 0.55e-1
Kc = 4.3
Kb = .835
omega = 20
epsilon = 1
G = 1/20000

### CONTINUOUS TRAIT MODEL - N, C = C1+C2, B, alpha = C1/C
f=function(x){N=x[1];C=x[2];B=x[3];alpha=x[4];
eqn0= delta*(Ni-N)-omega*beta21*N*alpha*C/(epsilon*(Kc+N))-omega*beta22*N*(-C*alpha+C)/(epsilon*(Kc+N));
eqn1= alpha*C*(Xc*omega*beta21*N/(epsilon*(Kc+N))-G*p21*B/(p21*alpha*C+p22*(-C*alpha+C)+Kb)-delta)+(-C*alpha+C)*(Xc*omega*beta22*N/(epsilon*(Kc+N))-G*p22*B/(p21*alpha*C+p22*(-C*alpha+C)+Kb)-delta);
eqn2= B*(Xb*G*(p21*alpha*C+p22*(-C*alpha+C))/(p21*alpha*C+p22*(-C*alpha+C)+Kb)-m-delta);
eqn3= (alpha*C^2*(Xc*omega*beta21*N/(epsilon*(Kc+N))-G*p21*B/(p21*alpha*C+p22*(-C*alpha+C)+Kb)-delta)-alpha*C*(alpha*C*(Xc*omega*beta21*N/(epsilon*(Kc+N))-G*p21*B/(p21*alpha*C+p22*(-C*alpha+C)+Kb)-delta)+(-C*alpha+C)*(Xc*omega*beta22*N/(epsilon*(Kc+N))-G*p22*B/(p21*alpha*C+p22*(-C*alpha+C)+Kb)-delta)))/C^2;
return(c(eqn0,eqn1,eqn2,eqn3))}
### Equilibrium point
xstart=c(3,2.5,55000,0.5)
