#############################################
### Wei et al. Figure 5a
#############################################

### CLONAL MODEL - R, N1, N2, NW1, NW2, X1, X2, P1, P2

# eqn1 = w*(C-R)-R*ee*(N1*v1+N2*v2)/(k+R)
# eqn2 = R*v1*N1/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*N1*P2-R*(N1*nx-X1*xn)/(k+R)-nw*N1+wn*NW1-w*N1
# eqn3 = R*v2*N2/(k+R)-((1-x)*deltamax1+x*deltamax1*R/(k+R))*N2*P1-R*(N2*nx-X2*xn)/(k+R)-nw*N2+wn*NW2-w*N2
# eqn4 = N1*nw-NW1*wn-NW1*ww
# eqn5 = N2*nw-NW2*wn-NW2*ww
# eqn6 = R*(N1*nx-X1*xn)/(k+R)-w*X1
# eqn7 = R*(N2*nx-X2*xn)/(k+R)-w*X2
# eqn8 =  P1*(((1-x)*deltamax1+x*deltamax1*R/(k+R))*N2*((1-x)*betamax1+x*betamax1*R/(k+R)-1)-w)
# eqn9 = P2*(((1-x)*deltamax2+x*deltamax2*R/(k+R))*N1*((1-x)*betamax2+x*betamax2*R/(k+R)-1)-w)

### Parameters
v = 1
k = .25
ee = 5*10^(-7)
deltamax1 = 0.1e-7
deltamax2 = 0.1e-8
betamax1 = 50
betamax2 = 100
x = .5
w = .4
ww = 0.1e-1
C = 100
nx = 0.1e-3
xn = 0.1e-3
nw = 0.1e-1
wn = 0.5e-2
v1 = .9
v2 = .85
v12 = .8
N =0
N12 =0
X =0
NW=0

### CONTINUOUS TRAIT MODEL - R, Nbar = N1+N2, NWbar = NW1+NW2, Xbar = X1+X2, Pbar = P1+P2, alpha1 = N1/Nbar, alpha2 = NW1/NWbar, alpha3 = X1/Xbar, beta = P1/Pbar


f=function(xx){R=xx[1];Nbar=xx[2];NWbar=xx[3];Xbar=xx[4];Pbar=xx[5];
  alpha1=xx[6];alpha2=xx[7];alpha3=xx[8];beta=xx[9];
eqn1= (-Nbar*R*alpha1*ee*v1+Nbar*R*alpha1*ee*v2-Nbar*R*ee*v2+C*R*w+C*k*w-R^2*w-R*k*w)/(k+R);
eqn2= (-Nbar*Pbar*alpha1*beta*k*x*deltamax1-Nbar*Pbar*alpha1*beta*k*x*deltamax2+Nbar*Pbar*R*alpha1*beta*deltamax1+Nbar*Pbar*R*alpha1*beta*deltamax2+Nbar*Pbar*alpha1*beta*k*deltamax1+Nbar*Pbar*alpha1*beta*k*deltamax2+Nbar*Pbar*alpha1*k*x*deltamax2+Nbar*Pbar*beta*k*x*deltamax1-Nbar*Pbar*R*alpha1*deltamax2-Nbar*Pbar*R*beta*deltamax1-Nbar*Pbar*alpha1*k*deltamax2-Nbar*Pbar*beta*k*deltamax1+Nbar*R*alpha1*v1-Nbar*R*alpha1*v2+NWbar*R*wn+NWbar*k*wn-Nbar*R*nw-Nbar*R*nx+Nbar*R*v2-Nbar*R*w-Nbar*k*nw-Nbar*k*w+R*Xbar*xn)/(k+R);
eqn3= -NWbar*wn-NWbar*ww+Nbar*nw;
eqn4= (Nbar*R*nx-R*Xbar*w-R*Xbar*xn-Xbar*k*w)/(k+R);
eqn5= -Pbar*(Nbar*alpha1*beta*k^2*x^2*betamax1*deltamax1+Nbar*alpha1*beta*k^2*x^2*betamax2*deltamax2-2*Nbar*R*alpha1*beta*k*x*betamax1*deltamax1-2*Nbar*R*alpha1*beta*k*x*betamax2*deltamax2-2*Nbar*alpha1*beta*k^2*x*betamax1*deltamax1-2*Nbar*alpha1*beta*k^2*x*betamax2*deltamax2-Nbar*alpha1*k^2*x^2*betamax2*deltamax2-Nbar*beta*k^2*x^2*betamax1*deltamax1+Nbar*R^2*alpha1*beta*betamax1*deltamax1+Nbar*R^2*alpha1*beta*betamax2*deltamax2+Nbar*R*alpha1*beta*k*x*deltamax1+Nbar*R*alpha1*beta*k*x*deltamax2+2*Nbar*R*alpha1*beta*k*betamax1*deltamax1+2*Nbar*R*alpha1*beta*k*betamax2*deltamax2+2*Nbar*R*alpha1*k*x*betamax2*deltamax2+2*Nbar*R*beta*k*x*betamax1*deltamax1+Nbar*alpha1*beta*k^2*x*deltamax1+Nbar*alpha1*beta*k^2*x*deltamax2+Nbar*alpha1*beta*k^2*betamax1*deltamax1+Nbar*alpha1*beta*k^2*betamax2*deltamax2+2*Nbar*alpha1*k^2*x*betamax2*deltamax2+2*Nbar*beta*k^2*x*betamax1*deltamax1-Nbar*R^2*alpha1*beta*deltamax1-Nbar*R^2*alpha1*beta*deltamax2-Nbar*R^2*alpha1*betamax2*deltamax2-Nbar*R^2*beta*betamax1*deltamax1-2*Nbar*R*alpha1*beta*k*deltamax1-2*Nbar*R*alpha1*beta*k*deltamax2-Nbar*R*alpha1*k*x*deltamax2-2*Nbar*R*alpha1*k*betamax2*deltamax2-Nbar*R*beta*k*x*deltamax1-2*Nbar*R*beta*k*betamax1*deltamax1-Nbar*alpha1*beta*k^2*deltamax1-Nbar*alpha1*beta*k^2*deltamax2-Nbar*alpha1*k^2*x*deltamax2-Nbar*alpha1*k^2*betamax2*deltamax2-Nbar*beta*k^2*x*deltamax1-Nbar*beta*k^2*betamax1*deltamax1+Nbar*R^2*alpha1*deltamax2+Nbar*R^2*beta*deltamax1+2*Nbar*R*alpha1*k*deltamax2+2*Nbar*R*beta*k*deltamax1+Nbar*alpha1*k^2*deltamax2+Nbar*beta*k^2*deltamax1+R^2*w+2*R*k*w+k^2*w)/(k+R)^2;
eqn6= ((R*v1*alpha1*Nbar/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*alpha1*Nbar*(-Pbar*beta+Pbar)-R*(Nbar*alpha1*nx-Xbar*alpha3*xn)/(k+R)-nw*alpha1*Nbar+wn*alpha2*NWbar-w*alpha1*Nbar)*Nbar-alpha1*Nbar*(R*v1*alpha1*Nbar/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*alpha1*Nbar*(-Pbar*beta+Pbar)-R*(Nbar*alpha1*nx-Xbar*alpha3*xn)/(k+R)-nw*alpha1*Nbar+wn*alpha2*NWbar-w*alpha1*Nbar+R*v2*(-Nbar*alpha1+Nbar)/(k+R)-((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*alpha1+Nbar)*beta*Pbar-R*((-Nbar*alpha1+Nbar)*nx-(-Xbar*alpha3+Xbar)*xn)/(k+R)-nw*(-Nbar*alpha1+Nbar)+wn*(-NWbar*alpha2+NWbar)-w*(-Nbar*alpha1+Nbar)))/Nbar^2;
eqn7= ((-NWbar*alpha2*wn-NWbar*alpha2*ww+Nbar*alpha1*nw)*NWbar-alpha2*NWbar*(nw*alpha1*Nbar+nw*(-Nbar*alpha1+Nbar)-wn*alpha2*NWbar-alpha2*NWbar*ww-wn*(-NWbar*alpha2+NWbar)-(-NWbar*alpha2+NWbar)*ww))/NWbar^2;
eqn8= ((R*(Nbar*alpha1*nx-Xbar*alpha3*xn)/(k+R)-w*alpha3*Xbar)*Xbar-alpha3*Xbar*(R*(Nbar*alpha1*nx-Xbar*alpha3*xn)/(k+R)-w*alpha3*Xbar+R*((-Nbar*alpha1+Nbar)*nx-(-Xbar*alpha3+Xbar)*xn)/(k+R)-w*(-Xbar*alpha3+Xbar)))/Xbar^2;
eqn9= (beta*Pbar^2*(((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*alpha1+Nbar)*((1-x)*betamax1+x*betamax1*R/(k+R)-1)-w)-beta*Pbar*(beta*Pbar*(((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*alpha1+Nbar)*((1-x)*betamax1+x*betamax1*R/(k+R)-1)-w)+(-Pbar*beta+Pbar)*(((1-x)*deltamax2+x*deltamax2*R/(k+R))*alpha1*Nbar*((1-x)*betamax2+x*betamax2*R/(k+R)-1)-w)))/Pbar^2;
return(c(eqn1,eqn2,eqn3,eqn4,eqn5,eqn6,eqn7,eqn8,eqn9))}

### Equilibrium point
xstart=c(94.587123984837222840, 4.8696348002657202613*10^6, 3.2464232001771468410*10^6,1213.8968166056438997, 5.3566646174366234284*10^8, .83191660374937505052,.83191660374937505051,.83191660374937505049,0.82434684109941884358e-1)