
#############################################
### Wei et al. Fig 5b
#############################################

### CLONAL MODEL - R, N, N1,  N12, NW, NW1, X, X1, P1, P2
# 
# eqn1 = w*(C-R)-R*ee*(N*v+N1*v1+N12*v12+N2*v2)/(k+R)
# eqn2 = R*v*N/(k+R)-((1-x)*deltamax1+x*deltamax1*R/(k+R))*N*P1-((1-x)*deltamax2+x*deltamax2*R/(k+R))*N*P2-R*(N*nx-X*xn)/(k+R)-nw*N+wn*NW-w*N
# eqn3 = R*v1*N1/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*N1*P2-R*(N1*nx-X1*xn)/(k+R)-nw*N1+wn*NW1-w*N1
# eqn4 = R*v12*N12/(k+R)-w*N12
# eqn5 = N*nw-NW*wn-NW*ww
# eqn6 = N1*nw-NW1*wn-NW1*ww
# eqn7 = R*(N*nx-X*xn)/(k+R)-w*X
# eqn8 = R*(N1*nx-X1*xn)/(k+R)-w*X1
# eqn9 = P1*(((1-x)*deltamax1+x*deltamax1*R/(k+R))*(N+N2)*((1-x)*betamax1+x*betamax1*R/(k+R)-1)-w)
# eqn10 = P2*(((1-x)*deltamax2+x*deltamax2*R/(k+R))*(N+N1)*((1-x)*betamax2+x*betamax2*R/(k+R)-1)-w)

### Parameters
v = 1
k = .25
ee = 1/2000000
deltamax1 = 1.*10^(-8)
deltamax2 = 1.*10^(-9)
betamax1 = 50
betamax2 = 100
x = .5
w = .4
ww = 0.1e-1
C = 100
nx = 0.1e-3
xn = 0.1e-3
nw = 0.1e-1
wn = 0.5e-2
v1 = .9
v2 = .85
v12 = .8
N2=0
NW2=0
X2=0

### CONTINUOUS TRAIT MODEL - R, Nbar = N+N1+N12, NWbar = NW +NW1, Xbar = x+x1, Pbar = P1+P2, chi1 = N1/Nbar, chi2 = N12/Nbar, chi3 = NW/NWbar, chi4=X/Xbar, beta = P1/Pbar
f=function(xx){R=xx[1];Nbar=xx[2];NWbar=xx[3];Xbar=xx[4];Pbar=xx[5];
chi1=xx[6];chi2=xx[7];chi3=xx[8];chi4=xx[9];beta=xx[10];
eqn1= (Nbar*R*chi1*ee*v-Nbar*R*chi1*ee*v1+Nbar*R*chi2*ee*v-Nbar*R*chi2*ee*v12-Nbar*R*ee*v+C*R*w+C*k*w-R^2*w-R*k*w)/(k+R);
eqn2= (-Nbar*Pbar*beta*chi1*k*x*deltamax1-Nbar*Pbar*beta*chi2*k*x*deltamax1+Nbar*Pbar*beta*chi2*k*x*deltamax2+Nbar*Pbar*R*beta*chi1*deltamax1+Nbar*Pbar*R*beta*chi2*deltamax1-Nbar*Pbar*R*beta*chi2*deltamax2+Nbar*Pbar*beta*chi1*k*deltamax1+Nbar*Pbar*beta*chi2*k*deltamax1-Nbar*Pbar*beta*chi2*k*deltamax2+Nbar*Pbar*beta*k*x*deltamax1-Nbar*Pbar*beta*k*x*deltamax2-Nbar*Pbar*chi2*k*x*deltamax2-Nbar*Pbar*R*beta*deltamax1+Nbar*Pbar*R*beta*deltamax2+Nbar*Pbar*R*chi2*deltamax2-Nbar*Pbar*beta*k*deltamax1+Nbar*Pbar*beta*k*deltamax2+Nbar*Pbar*chi2*k*deltamax2+Nbar*Pbar*k*x*deltamax2-Nbar*Pbar*R*deltamax2-Nbar*Pbar*k*deltamax2-Nbar*R*chi1*v+Nbar*R*chi1*v1+Nbar*R*chi2*nw+Nbar*R*chi2*nx-Nbar*R*chi2*v+Nbar*R*chi2*v12+Nbar*chi2*k*nw+NWbar*R*wn+NWbar*k*wn-Nbar*R*nw-Nbar*R*nx+Nbar*R*v-Nbar*R*w-Nbar*k*nw-Nbar*k*w+R*Xbar*xn)/(k+R);
eqn3= -Nbar*chi2*nw-NWbar*wn-NWbar*ww+Nbar*nw;
eqn4= -(Nbar*R*chi2*nx-Nbar*R*nx+R*Xbar*w+R*Xbar*xn+Xbar*k*w)/(k+R)
eqn5= -Pbar*(Nbar*beta*chi1*k^2*x^2*betamax1*deltamax1+Nbar*beta*chi2*k^2*x^2*betamax1*deltamax1-Nbar*beta*chi2*k^2*x^2*betamax2*deltamax2-2*Nbar*R*beta*chi1*k*x*betamax1*deltamax1-2*Nbar*R*beta*chi2*k*x*betamax1*deltamax1+2*Nbar*R*beta*chi2*k*x*betamax2*deltamax2-2*Nbar*beta*chi1*k^2*x*betamax1*deltamax1-2*Nbar*beta*chi2*k^2*x*betamax1*deltamax1+2*Nbar*beta*chi2*k^2*x*betamax2*deltamax2-Nbar*beta*k^2*x^2*betamax1*deltamax1+Nbar*beta*k^2*x^2*betamax2*deltamax2+Nbar*chi2*k^2*x^2*betamax2*deltamax2+Nbar*R^2*beta*chi1*betamax1*deltamax1+Nbar*R^2*beta*chi2*betamax1*deltamax1-Nbar*R^2*beta*chi2*betamax2*deltamax2+Nbar*R*beta*chi1*k*x*deltamax1+2*Nbar*R*beta*chi1*k*betamax1*deltamax1+Nbar*R*beta*chi2*k*x*deltamax1-Nbar*R*beta*chi2*k*x*deltamax2+2*Nbar*R*beta*chi2*k*betamax1*deltamax1-2*Nbar*R*beta*chi2*k*betamax2*deltamax2+2*Nbar*R*beta*k*x*betamax1*deltamax1-2*Nbar*R*beta*k*x*betamax2*deltamax2-2*Nbar*R*chi2*k*x*betamax2*deltamax2+Nbar*beta*chi1*k^2*x*deltamax1+Nbar*beta*chi1*k^2*betamax1*deltamax1+Nbar*beta*chi2*k^2*x*deltamax1-Nbar*beta*chi2*k^2*x*deltamax2+Nbar*beta*chi2*k^2*betamax1*deltamax1-Nbar*beta*chi2*k^2*betamax2*deltamax2+2*Nbar*beta*k^2*x*betamax1*deltamax1-2*Nbar*beta*k^2*x*betamax2*deltamax2-2*Nbar*chi2*k^2*x*betamax2*deltamax2-Nbar*k^2*x^2*betamax2*deltamax2-Nbar*R^2*beta*chi1*deltamax1-Nbar*R^2*beta*chi2*deltamax1+Nbar*R^2*beta*chi2*deltamax2-Nbar*R^2*beta*betamax1*deltamax1+Nbar*R^2*beta*betamax2*deltamax2+Nbar*R^2*chi2*betamax2*deltamax2-2*Nbar*R*beta*chi1*k*deltamax1-2*Nbar*R*beta*chi2*k*deltamax1+2*Nbar*R*beta*chi2*k*deltamax2-Nbar*R*beta*k*x*deltamax1+Nbar*R*beta*k*x*deltamax2-2*Nbar*R*beta*k*betamax1*deltamax1+2*Nbar*R*beta*k*betamax2*deltamax2+Nbar*R*chi2*k*x*deltamax2+2*Nbar*R*chi2*k*betamax2*deltamax2+2*Nbar*R*k*x*betamax2*deltamax2-Nbar*beta*chi1*k^2*deltamax1-Nbar*beta*chi2*k^2*deltamax1+Nbar*beta*chi2*k^2*deltamax2-Nbar*beta*k^2*x*deltamax1+Nbar*beta*k^2*x*deltamax2-Nbar*beta*k^2*betamax1*deltamax1+Nbar*beta*k^2*betamax2*deltamax2+Nbar*chi2*k^2*x*deltamax2+Nbar*chi2*k^2*betamax2*deltamax2+2*Nbar*k^2*x*betamax2*deltamax2+Nbar*R^2*beta*deltamax1-Nbar*R^2*beta*deltamax2-Nbar*R^2*chi2*deltamax2-Nbar*R^2*betamax2*deltamax2+2*Nbar*R*beta*k*deltamax1-2*Nbar*R*beta*k*deltamax2-2*Nbar*R*chi2*k*deltamax2-Nbar*R*k*x*deltamax2-2*Nbar*R*k*betamax2*deltamax2+Nbar*beta*k^2*deltamax1-Nbar*beta*k^2*deltamax2-Nbar*chi2*k^2*deltamax2-Nbar*k^2*x*deltamax2-Nbar*k^2*betamax2*deltamax2+Nbar*R^2*deltamax2+2*Nbar*R*k*deltamax2+Nbar*k^2*deltamax2+R^2*w+2*R*k*w+k^2*w)/(k+R)^2;
eqn6= ((R*v1*chi1*Nbar/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*chi1*Nbar*(-Pbar*beta+Pbar)-R*(chi1*Nbar*nx-(-Xbar*chi4+Xbar)*xn)/(k+R)-nw*chi1*Nbar+wn*(-NWbar*chi3+NWbar)-w*chi1*Nbar)*Nbar-chi1*Nbar*(R*v*(-Nbar*chi1-Nbar*chi2+Nbar)/(k+R)-((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*chi1-Nbar*chi2+Nbar)*beta*Pbar-((1-x)*deltamax2+x*deltamax2*R/(k+R))*(-Nbar*chi1-Nbar*chi2+Nbar)*(-Pbar*beta+Pbar)-R*((-Nbar*chi1-Nbar*chi2+Nbar)*nx-chi4*Xbar*xn)/(k+R)-nw*(-Nbar*chi1-Nbar*chi2+Nbar)+wn*chi3*NWbar-w*(-Nbar*chi1-Nbar*chi2+Nbar)+R*v1*chi1*Nbar/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*chi1*Nbar*(-Pbar*beta+Pbar)-R*(chi1*Nbar*nx-(-Xbar*chi4+Xbar)*xn)/(k+R)-nw*chi1*Nbar+wn*(-NWbar*chi3+NWbar)-w*chi1*Nbar+R*v12*chi2*Nbar/(k+R)-w*chi2*Nbar))/Nbar^2;
eqn7= ((R*v12*chi2*Nbar/(k+R)-w*chi2*Nbar)*Nbar-chi2*Nbar*(R*v*(-Nbar*chi1-Nbar*chi2+Nbar)/(k+R)-((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*chi1-Nbar*chi2+Nbar)*beta*Pbar-((1-x)*deltamax2+x*deltamax2*R/(k+R))*(-Nbar*chi1-Nbar*chi2+Nbar)*(-Pbar*beta+Pbar)-R*((-Nbar*chi1-Nbar*chi2+Nbar)*nx-chi4*Xbar*xn)/(k+R)-nw*(-Nbar*chi1-Nbar*chi2+Nbar)+wn*chi3*NWbar-w*(-Nbar*chi1-Nbar*chi2+Nbar)+R*v1*chi1*Nbar/(k+R)-((1-x)*deltamax2+x*deltamax2*R/(k+R))*chi1*Nbar*(-Pbar*beta+Pbar)-R*(chi1*Nbar*nx-(-Xbar*chi4+Xbar)*xn)/(k+R)-nw*chi1*Nbar+wn*(-NWbar*chi3+NWbar)-w*chi1*Nbar+R*v12*chi2*Nbar/(k+R)-w*chi2*Nbar))/Nbar^2;
eqn8= ((nw*(-Nbar*chi1-Nbar*chi2+Nbar)-wn*chi3*NWbar-chi3*NWbar*ww)*NWbar-chi3*NWbar*(nw*(-Nbar*chi1-Nbar*chi2+Nbar)+nw*chi1*Nbar-wn*chi3*NWbar-chi3*NWbar*ww-wn*(-NWbar*chi3+NWbar)-(-NWbar*chi3+NWbar)*ww))/NWbar^2;
eqn9= ((R*((-Nbar*chi1-Nbar*chi2+Nbar)*nx-chi4*Xbar*xn)/(k+R)-w*chi4*Xbar)*Xbar-chi4*Xbar*(R*((-Nbar*chi1-Nbar*chi2+Nbar)*nx-chi4*Xbar*xn)/(k+R)-w*chi4*Xbar+R*(chi1*Nbar*nx-(-Xbar*chi4+Xbar)*xn)/(k+R)-w*(-Xbar*chi4+Xbar)))/Xbar^2;
eqn10= (beta*Pbar^2*(((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*chi1-Nbar*chi2+Nbar)*((1-x)*betamax1+x*betamax1*R/(k+R)-1)-w)-beta*Pbar*(beta*Pbar*(((1-x)*deltamax1+x*deltamax1*R/(k+R))*(-Nbar*chi1-Nbar*chi2+Nbar)*((1-x)*betamax1+x*betamax1*R/(k+R)-1)-w)+(-Pbar*beta+Pbar)*(((1-x)*deltamax2+x*deltamax2*R/(k+R))*(-Nbar*chi2+Nbar)*((1-x)*betamax2+x*betamax2*R/(k+R)-1)-w)))/Pbar^2;
return(c(eqn1,eqn2,eqn3,eqn4,eqn5,eqn6,eqn7,eqn8,eqn9,eqn10))}


### Equilibrium point
xstart=c(.25000000000000000000,1.9841645069727261508*10^8,  4.8048048048048048048*10^6, 900.78830236310551271, 6.4377786110069574637*10^7, 0.28959393096705153758e-1, .96367636261066192053, .20273972602739726027, .20273972602739726028, .10355538873717044381)